com.pivotal.gemfirexd.internal.client.am

## Class ColumnMetaData40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.ColumnMetaData
  - - com.pivotal.gemfirexd.internal.client.am.ColumnMetaData40

All Implemented Interfaces:
  ResultSetMetaData, Wrapper

    public class ColumnMetaData40
    extends ColumnMetaData

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.ColumnMetaData

`agent_, clientParamtertype_, columns_, logWriter_, mddOverrideArray_, nullable_, protocolTypesCache_, protocolTypeToOverrideLidMapping_, resultSetConcurrency_, singleMixedByteOrDouble_, sqlCcsid_, sqlComment_, sqldFcode_, sqldHold_, sqldKeytype_, sqldRdbnam_, sqldReturn_, sqldSchema_, sqldScroll_, sqldSensitive_, sqlLabel_, sqlLength_, sqlName_, sqlPrecision_, sqlScale_, sqlType_, sqlUDTclassName_, sqlUDTname_, sqlUnnamed_, sqlxBasename_, sqlxCorname_, sqlxGenerated_, sqlxKeymem_, sqlxName_, sqlxParmmode_, sqlxRdbnam_, sqlxSchema_, sqlxUpdatable_, types_`

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`ColumnMetaData40(Agent agent)` Calls the superclass constructor to pass the parameters
`ColumnMetaData40(Agent agent, int upperBound)` Calls the superclass constructor to pass the parameters

### Method Summary

Methods
`boolean` `isWrapperFor(Class<?> interfaces)` Returns false unless `interfaces` is implemented
`<T> T` `unwrap(Class<T> interfaces)` Returns `this` if this class implements the interface

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.ColumnMetaData

`columnIsNotInUnicode, copyTo, finalize, getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnLabelX, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, hasLobColumns, initializeCache, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isParameterModeGuessedAsOutput, isReadOnly, isSearchable, isSigned, isWritable, primaryKey, setLogWriter`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnMetaData40

    public ColumnMetaData40(Agent agent)

Calls the superclass constructor to pass the parameters

Parameters:
  `logWriter` - LogWriter

#### ColumnMetaData40

    public ColumnMetaData40(Agent agent,
                    int upperBound)

Calls the superclass constructor to pass the parameters

Parameters:
  `logWriter` - LogWriter
  `upperBound` - int

### Method Detail

#### isWrapperFor

    public boolean isWrapperFor(Class<?> interfaces)
                         throws SQLException

Returns false unless `interfaces` is implemented

Parameters:
  `interfaces` - a Class defining an interface.
Returns:
  true if this implements the interface or directly or indirectly wraps an object that does.
Throws:
  `SQLException` - if an error occurs while determining whether this is a wrapper for an object with the given interface.

#### unwrap

    public <T> T unwrap(Class<T> interfaces)
             throws SQLException

Returns `this` if this class implements the interface

Parameters:
  `interfaces` - a Class defining an interface
Returns:
  an object that implements the interface
Throws:
  `java.sql.SQLExption` - if no object if found that implements the interface
  `SQLException`